Bug 567848 - Review Request: perl-MooseX-Types-JSON - JSON data types for Moose
Summary: Review Request: perl-MooseX-Types-JSON - JSON data types for Moose
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-Ty...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 04:59 UTC by Chris Weyl
Modified: 2010-09-02 21:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-04 05:51:19 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-02-24 04:59:34 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-JSON.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-JSON-0.02-1.fc12.src.rpm

Description:
JSON data types for Moose.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2010711

Additional Comment:

This is an additional, optional testing requirement of the latest DBIx::Class.

*rt-0.10_01

Comment 1 Steve Traylen 2010-03-02 22:50:03 UTC
Review: perl-MooseX-Types-JSON
Bug: https://bugzilla.redhat.com/show_bug.cgi?id=567848
Date: March 2nd 2010
Scratch Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2026592
See at bottom for what did not pass:

*  MUST: rpmlint must be run on every package. The output should be 
         posted in the review.
PASS
$ rpmlint SPECS/perl-MooseX-Types-JSON.spec \
          SRPMS/perl-MooseX-Types-JSON-0.02-1.fc12.src.rpm 
          RPMS/noarch/perl-MooseX-Types-JSON-0.02-1.fc12.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

*  MUST: The package must be named according to the Package Naming 
         Guidelines.
PASS. Named as per perl module.
*  MUST: The spec file name must match the base package %{name}, 
         in the format %{name}.spec unless your package has an exemption.
PASS.

*  MUST: The package must meet the Packaging Guidelines.
PASS.

*  MUST: The package must be licensed with a Fedora approved license 
         and meet the Licensing Guidelines .
GPL+ or Artistic in .spec file.

*  MUST: The License field in the package spec file must match the actual 
         license. 
Copyright 2009 Michael Langner, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the
same terms as Perl itself.

*  MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text 
         of the license(s) for the package must be included in %doc.

FAIL - see below.

*  MUST: The spec file must be written in American English.
PASS.

*  MUST: The spec file for the package MUST be legible. 
PASS.

*  MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum 
         for this task. If no upstream URL can be specified for this package,
         please see the Source URL Guidelines for how to deal with this.
PASS.

$ md5sum MooseX-Types-JSON-0.02.tar.gz ../SOURCES/MooseX-Types-JSON-0.02.tar.gz 
e6eb8745f38051ff471755759e6006c8  MooseX-Types-JSON-0.02.tar.gz
e6eb8745f38051ff471755759e6006c8  ../SOURCES/MooseX-Types-JSON-0.02.tar.gz

*  MUST: The package MUST successfully compile and build into binary rpms 
         on at least one primary architecture. 
PASS. See koji build above.

*  MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in 
         the spec in ExcludeArch. Each architecture listed in ExcludeArch 
         MUST have a bug filed in bugzilla, describing the reason that 
         the package does not compile/build/work on that architecture.
         The bug number MUST be placed in a comment, next to the 
         corresponding ExcludeArch line. 
PASS. Not relavent.

*  MUST: All build dependencies must be listed in BuildRequires,
         except for any that are listed in the exceptions section of
         the Packaging Guidelines ; inclusion of those as BuildRequires 
         is optional. Apply common sense.
PASS. BR look sane.

*  MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is 
         strictly forbidden
PASS. Not relavent.

*  MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's
         default paths, must call ldconfig in %post and %postun. 
PASS:
No shared libs.
*  MUST: Packages must NOT bundle copies of system libraries.
PASS.

*  MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the  
         rationalization for relocation of that specific package. 
         Without this, use of Prefix: /usr is considered a blocker. 
PASS.
Not relocatable.

*  MUST: A package must own all directories that it creates. If it 
         does not create a directory that it uses, then it should 
         require a package which does create that directory. 
PASS.

* MUST:  A Fedora package must not list a file more than once in the 
         spec file's %files listings. 
PASS.
* MUST:  Permissions on files must be set properly. Executables should be 
         set with executable permissions, for example. Every %files 
         section must include a %defattr(...) line. 
PASS. defattr set, everything default.

* MUST:  Each package must have a %clean section, which contains 
         rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
PASS:

* MUST:  Each package must consistently use macros.
PASS.

* MUST:  The package must contain code, or permissable content.
PASS.

* MUST:  Large documentation files must go in a -doc subpackage.  
         (The definition of large is left up to the packager's 
         best judgement, but is not restricted to size. Large 
         can refer to either size or quantity).
PASS.no large docs.

* MUST:  If a package includes something as %doc, it must not affect 
         the runtime of the application. To summarize: If it is in 
         %doc, the program must run properly if it is not present.
PASS.

* MUST:  Header files must be in a -devel package.
PASS. - nothing to go in a devel.

* MUST:  Static libraries must be in a -static package.
PASS. - no static libs.

* MUST:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
         (for directory ownership and usability).
PASS. - no pkg-config files.

* MUST:  If a package contains library files with a suffix 
         (e.g. libfoo.so.1.1), then library files that end in .so 
         (without suffix) must go in a -devel package. 
PASS. - no .so files.

* MUST:  In the vast majority of cases, devel packages must require 
         the base package using a fully versioned dependency: 
         Requires: %{name} = %{version}-%{release}
PASS. - no devel packages.

* MUST:  Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.[21]
PASS. - no .la files.

* MUST:  Packages containing GUI applications must include a 
         %{name}.desktop file, and that file must be properly 
         installed with desktop-file-install in the %install section.
         If you feel that your packaged GUI application does not need 
         a .desktop file, you must put a comment in the spec file with 
         your explanation. 
PASS. - no gui.
* MUST:  Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first 
         package to be installed should own the files or directories 
         that other packages may rely upon. This means, for example, 
         that no package in Fedora should ever share ownership with any of 
         the files or directories owned by the filesystem or man package. 
         If you feel that you have a good reason to own a file or 
         directory that another package owns, then please present 
         that at package review time. 
FAIL. - See below.

*  MUST: At the beginning of %install, each package MUST run 
         rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
PASS.
*  MUST: All filenames in rpm packages must be valid UTF-8.
PASS.
*  SHOULD: If the source package does not include license text(s) as a 
           separate file from upstream, the packager SHOULD query 
           upstream to include it.
PASS. 
* SHOULD:  The description and summary sections in the package spec file 
           should contain translations for supported Non-English languages, 
           if available.
PASS. None available.
* SHOULD:  The reviewer should test that the package builds in mock.
PASS. See koji build.
* SHOULD:  The package should compile and build into binary rpms on 
           all supported architectures.
PASS. See koji build.
* SHOULD:  The reviewer should test that the package functions as described.
           A package should not segfault instead of running, for example.
PASS. test functions pass.
* SHOULD: If scriptlets are used, those scriptlets must be sane. This 
          is vague, and left up to the reviewers judgement to determine 
          sanity.
PASS. None.
* SHOULD: Usually, subpackages other than devel should require the base 
          package using a fully versioned dependency.
PASS. Not relavent.
* SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
          and this is usually for development purposes, so should be 
          placed in a -devel pkg. A reasonable exception is that the 
          main pkg itself is a devel tool not installed in a user runtime,
          e.g. gcc or gdb.
PASS. Not relavent.
* SHOULD: If the package has file dependencies outside of /etc, /bin,
          /sbin, /usr/bin, or /usr/sbin consider requiring the package 
          which provides the file instead of the file itself. 
PASS. requires no filenames.
* SHOULD: your package should contain man pages for binaries/scripts.
          If it doesn't, work with upstream to add them where they make 
          sense.
PASS. man pages are present.

#########################################################################

Items with FAIL:
1) The README file contains a license statement. As such it should
   be included  as a %doc.

2) This package contains: /usr/lib/perl5/vendor_perl/5.10.0/MooseX
   but the package depends on perl-MooseX which contains exactly this 
   directory. In other words its not obvious to me at least why this
   package should contain: /usr/lib/perl5/vendor_perl/5.10.0/MooseX.

Steve

Comment 2 Chris Weyl 2010-03-03 07:18:10 UTC
#1, no problem. :)

#2, take a look at http://fedoraproject.org/wiki/Packaging:Perl#Directory_Ownership.  The logic there is a little convoluted, but the gist is that for noarch perl packages, owning %{perl_vendorlib}/* is correct.

Comment 4 Steve Traylen 2010-03-03 08:45:11 UTC
APPROVED.

Comment 5 Chris Weyl 2010-03-03 23:03:04 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-Types-JSON
Short Description: JSON data types for Moose
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 6 Jason Tibbitts 2010-03-04 00:59:35 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Chris Weyl 2010-03-04 05:51:19 UTC
Thanks for the review! :-)

Comment 8 Iain Arnell 2010-09-02 14:33:31 UTC
Package Change Request
======================
Package Name: perl-MooseX-Types-JSON
New Branches: el6
Owners: iarnell tremble

Comment 9 Kevin Fenzi 2010-09-02 21:29:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.